﻿define(['kendo','models/equipmentrequestdetail'],
    function (kendo, equipmentrequestdetail)
    {
        var EquipmentRequest = kendo.data.Model.define({
            id: "Id",
            fields: {
                Id: { type: "number", editable: false, nullable: false },
                AuthoriserBems: { title: "AuthoriserBems", type: "string" },
                IsSubmitted: { title: "IsSubmitted", type: "boolean" },
                IsApproved: { title: "IsApproved", type: "boolean" },
                IsCompleted: { title: "IsCompleted", type: "boolean" },
                Comments: { title: "Comments", type: "string" },
                CreatorBems: { title: "CreatorBems", type: "string" },
                ChangedByBems: { title: "ChangedByBems", type: "string" },
                EquipmentRequestLines: { defaultValue: [] }
            }
        });
        return EquipmentRequest;
    });