﻿define([
    'kendo',
    'views/layout/layout'
], function (kendo, layout)
{
    return {
        loadView: function (view, delegate)
        {
            if (view)
            {
                try
                {
                    kendo.fx($("#content")).fade('in').reverse().then(function ()
                    {
                        try
                        {
                            layout.showIn("#content", view);
                        }
                        catch (ex)
                        {
                            JL().error(ex.message);
                        }

                        if (delegate != undefined)
                        {
                            delegate();
                        }
                        kendo.fx($("#content")).fade('in').duration(50).play();
                    });
                }
                catch (ex)
                { }
            }
        }
    };
});