﻿using System;
using System.Web.Optimization;

namespace Mvvm_SPA
{
    public class BundleConfig
    {
        public static void RegisterBundles(BundleCollection bundles)
        {
            bundles.Add(
             new StyleBundle("~/Content/css")
               .Include("~/Content/kendo/2014.1.416/kendo.common.min.css")
               .Include("~/Content/kendo/2014.1.416/kendo.blueopal.min.css")
               .Include("~/Content/kendo/2014.1.416/kendo.blueopal.mobile.min.css")
               .Include("~/Content/bootstrap.css")
               .Include("~/Content/font-awesome.css")
               .Include("~/Content/Site.css")
             );


            bundles.Add(
              new ScriptBundle("~/scripts/vendor")
                .Include("~/scripts/jquery-{version}.js")
                .Include("~/scripts/pubsub.js")
                .Include("~/scripts/bootstrap.js")
                .Include("~/scripts/debug.js")
                .Include("~/scripts/json2.min.js")
                .Include("~/scripts/jquery.signalR-2.0.3.min.js")
              );

            // Clear all items from the ignore list to allow minified CSS and JavaScript files in debug mode
            bundles.IgnoreList.Clear();

            // Add back the default ignore list rules sans the ones which affect minified files and debug mode
            bundles.IgnoreList.Ignore("*.intellisense.js");
            bundles.IgnoreList.Ignore("*-vsdoc.js");
            bundles.IgnoreList.Ignore("*.debug.js", OptimizationMode.WhenEnabled);
        }

    }
}