﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace Mvvm_SPA.Helpers
{
    public class StringRequiredAttribute : ValidationAttribute
    {
        public override bool IsValid(object value)
        {
            if(value != null && !String.IsNullOrWhiteSpace(value.ToString()) && !String.IsNullOrEmpty(value.ToString()))
            {
                return true;
            }

            return false;
        }
    }
}