﻿define([],function ()
{
    return {
        getEquipmentRequest: function (id)
        {
            var currentRequest;

            if (id)
            {
                if (id > 0)
                {
                    $.ajax({
                        contentType: 'application/json; charset=utf-8',
                        type: "GET",
                        dataType: "jsonp",
                        url: MvvmWcfServiceUrl.value + "/rest/GetEquipmentRequest?Id=" + id,
                        success: function (data)
                        {
                            currentRequest = data;
                        },
                        error: function (e, xhr, opt)
                        {
                            JL().error(e.status + " " + e.statusText);
                        },
                        async: false
                    });
                }
            }

            return currentRequest;
        },

        saveEquipmentRequest: function (currentRequest)
        {
            var isSuccessful = false;

            $.ajax({
                contentType: 'application/json; charset=utf-8',
                url: MvvmWcfServiceUrl.value + "/rest/SaveEquipmentRequest",
                data: kendo.stringify(currentRequest),
                dataType: "jsonp",
                contentType: "application/json; charset=utf-8", // tells the web service to serialize JSON
                type: "POST",
                success: function (data)
                {
                    isSuccessful = data.IsSuccessful;
                },
                error: function (e, xhr, opt)
                {
                    JL().error(e.status + " " + e.statusText);
                },
                async: false
            });

            return isSuccessful;
        }
    };
});