﻿define(['kendo'],
    function (kendo)
    {
        var EquipmentRequestDetail = kendo.data.Model.define({
            fields: {
                EquipmentRequestLineNo: { title: "Line No", type: "number" },
                EquipmentId: { title: "Equipment", type: "number" },
                Quantity: { title: "Quantity", type: "number" },
                Reason: { title: "Reason", type: "string" },
                StartDate: { title: "StartDate", type: "date", nullable: true, defaultValue: null },
                EndDate: { title: "EndDate", type: "date", nullable: true, defaultValue: null }
            }
        });
        return EquipmentRequestDetail;
    });