﻿define([
    'kendo',
    'views/layout/layout',
    'views/sidebar/sidebar'
], function (kendo, layout, sidebar)
{
    return {
        loadSidebar: function (url, delegate)
        {
            if (url)
            {
                try
                {
                    kendo.fx($("#sidebar")).fade('in').reverse().then(function ()
                    {
                        try
                        {
                            layout.showIn("#sidebar", sidebar(url));
                        }
                        catch (ex)
                        { }

                        if (delegate != undefined)
                        {
                            delegate();
                        }

                        kendo.fx($("#sidebar")).fade('in').duration(100).play();
                    });
                }
                catch (ex)
                { }
            }
        }
    };
});